MagicSpam compatible with Plesk Obsidian?

This is the area for a general support questions, discussions and information that you can read and share. Post your experiences, stats and tricks and tips that are not covered elsewhere. Remember, for questions please search the FAQ first, as your question may already be answered.

Moderators: wizard, magicspam

Post Reply
Knarf
Posts: 6
Joined: Tue Sep 25, 2018 3:58 am

MagicSpam compatible with Plesk Obsidian?

Post by Knarf » Thu Nov 07, 2019 10:23 am

Hi,

Can you confirm if MagicSpam 2.0.19-2 is compatible with Plesk Obsidian (GA 18.0.20) ?
When I decide to upgrade to Plesk Obsidian, do I need to consider certain things?

Thank you.
My server @ Strato: CentOS Linux 7.5.1804 + Plesk Onyx 17.8.11

magicspam
Posts: 1271
Joined: Tue Oct 28, 2008 2:27 pm

Re: MagicSpam compatible with Plesk Obsidian?

Post by magicspam » Fri Nov 08, 2019 4:38 pm

Hello Knarf,

MagicSpam is supported in Plesk from 12.x.x to 17.x.x, since 18.0.20 is a preview build we can not guarantee that MagicSpam will work in it.

It will probably still work but currently we can not guarantee that until it is a stable build.

We hope this information helps.
-- MagicSpam Support Team --

Knarf
Posts: 6
Joined: Tue Sep 25, 2018 3:58 am

Re: MagicSpam compatible with Plesk Obsidian?

Post by Knarf » Tue Nov 12, 2019 12:59 pm

In that case I shall wait with the Plesk upgrade until Plesk is stable and it is guaranteed that MagicSpam is supported. Thank you. ;)
My server @ Strato: CentOS Linux 7.5.1804 + Plesk Onyx 17.8.11

magicspam
Posts: 1271
Joined: Tue Oct 28, 2008 2:27 pm

Re: MagicSpam compatible with Plesk Obsidian?

Post by magicspam » Thu Nov 14, 2019 11:30 am

Hello Knarf,

You are welcome!

Please let us know if you have any other questions.
-- MagicSpam Support Team --

chorton
Posts: 1
Joined: Mon Nov 18, 2019 9:25 am

Re: MagicSpam compatible with Plesk Obsidian?

Post by chorton » Mon Nov 18, 2019 9:30 am

I recently upgraded to Plesk Obsidian and my installed version of Magic Spam (2.0.18-1) continued running with no issues.

hostmasteratcf
Posts: 2
Joined: Fri Nov 22, 2019 12:57 pm

Re: MagicSpam compatible with Plesk Obsidian?

Post by hostmasteratcf » Fri Nov 22, 2019 1:15 pm

Hi,

Since I updated the version of Plesk to Obsidian, five days ago, all the reports that I want to obtain from the Records tab and that are greater than 100 results, the new browser window results in a Nginx error.
The same happens when you click on a specific time in the Statistics summary of the last 24 hours.
If I do a "general" search of the last 20 non-spam, "HAM" message logs, the report takes 75 seconds to generate and deploy.
However, when you click on the Recent Registry Entries tab, the information is displayed immediately, without error and in real time.

Any idea what might be happening?

Thank you.

magicspam
Posts: 1271
Joined: Tue Oct 28, 2008 2:27 pm

Re: MagicSpam compatible with Plesk Obsidian?

Post by magicspam » Fri Nov 22, 2019 2:38 pm

Hello hostmasteratcf,

Thank you for your post.

We have passed your information to our development team for analysis.

In the meantime, could you please try reinstalling MagicSpam in your system and let us know if that resolves the issue?

Please note that all your MagicSpam settings will be preserved after the reinstall.

Thank you.
-- MagicSpam Support Team --

hostmasteratcf
Posts: 2
Joined: Fri Nov 22, 2019 12:57 pm

Re: MagicSpam compatible with Plesk Obsidian?

Post by hostmasteratcf » Fri Nov 22, 2019 4:14 pm

Please tell me the steps to reinstall MagicSpam. I have no idea

magicspam
Posts: 1271
Joined: Tue Oct 28, 2008 2:27 pm

Re: MagicSpam compatible with Plesk Obsidian?

Post by magicspam » Mon Nov 25, 2019 1:16 pm

Hello hostmasteratcf,

Thank you for your question.

To reinstall MagicSpam in your system, please remove previously installed MagicSpam from the Plesk Extension Manager.

Then, please download the latest MagicSpam package for your operating system from our download site:

https://www.magicspam.com/download/

and install it in your Plesk via the Extension Manager / Upload Extension section.

For more information about the installation, please refer to the following forum post:

https://forums.magicspam.com/viewtopic. ... 2&t=237163

Please note that all your MagicSpam settings will be preserved during this reinstall.
-- MagicSpam Support Team --

TheMadBeaker
Posts: 2
Joined: Thu Jan 09, 2020 10:23 am

Re: MagicSpam compatible with Plesk Obsidian?

Post by TheMadBeaker » Fri Jan 10, 2020 9:27 am

hostmasteratcf wrote:
Fri Nov 22, 2019 1:15 pm
Since I updated the version of Plesk to Obsidian, five days ago, all the reports that I want to obtain from the Records tab and that are greater than 100 results, the new browser window results in a Nginx error.
The same happens when you click on a specific time in the Statistics summary of the last 24 hours.
If I do a "general" search of the last 20 non-spam, "HAM" message logs, the report takes 75 seconds to generate and deploy.
However, when you click on the Recent Registry Entries tab, the information is displayed immediately, without error and in real time.
I'm running the Plesk Free version.

I have the same issue since I update to Plesk Obsidian 18 last week. Trying to run a search of previous SPAM messages takes several minutes, and I can't search past 100 or 150 or nginx will timeout (I even tried to bump up the timeouts for nginx & php). The only real difference going from Plesk 17 to 18 that I read was they changed the web interface to use PHP 7.3 (previously 7.1).

I tried uninstalling / reinstalling but no change. :(

This is unfortunate since without a way to search through the history and whitelist blocked emails from legit senders, this program has basically become useless and I guess I'll have to switch to spamassassin or something...

Post Reply

Return to “General Discussions and Support Questions”

Who is online

Users browsing this forum: No registered users and 5 guests